Minimap:ClearAllPoints()
Minimap:SetPoint("CENTER", CenterMapBase, "CENTER", 0, 0)
Minimap:SetSize(148, 145)

local dummy = function() end
local _G = getfenv(0)
-----------------------------------------------
--Setting up the buttons
-----------------------------------------------
MinimapBorder:Hide()
MinimapBorderTop:Hide()
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()
MiniMapVoiceChatFrame:Hide()
MinimapNorthTag:SetTexture(nil)
MinimapZoneTextButton:Hide()
GameTimeFrame:Hide()
MinimapCluster:EnableMouse(false)
MiniMapTrackingBackground:SetAlpha(0)
MiniMapTrackingButton:SetAlpha(0)
MiniMapTracking:ClearAllPoints()
MiniMapTracking:SetPoint("BOTTOMRIGHT", CenterMapBase, 0, 0)
MiniMapTracking:SetFrameStrata("HIGH")
MiniMapTracking:SetScale(1)
MiniMapWorldMapButton:Hide()
QueueStatusMinimapButton:ClearAllPoints()
QueueStatusMinimapButton:SetPoint("BOTTOMLEFT", CenterMapBase, 0, 0)
QueueStatusMinimapButtonBorder:Hide()
MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetPoint("BOTTOMRIGHT", CenterMapBase, -18, 0)
MiniMapMailFrame:SetFrameStrata("HIGH")
MiniMapMailIcon:SetTexture("Interface\\AddOns\\_Deranjata\\Media\\mail.tga")
MiniMapMailBorder:Hide()
MiniMapInstanceDifficulty:ClearAllPoints()
MiniMapInstanceDifficulty:Hide()
WorldMapPlayerUpper:EnableMouse(false)
WorldMapPlayerLower:EnableMouse(false)
GarrisonLandingPageMinimapButton:ClearAllPoints()
GarrisonLandingPageMinimapButton:SetPoint("TOPRIGHT", CenterMapBase, -6, -8)
GarrisonLandingPageMinimapButton:SetScale (.6)
GarrisonLandingPageMinimapButton:SetFrameStrata("HIGH")
GameTimeFrame:ClearAllPoints()
GameTimeFrame:SetPoint("TOPLEFT", CenterMapBase, 10, -10)
GameTimeFrame:SetScale (.65)
GameTimeFrame:SetFrameStrata("HIGH")
Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(self, d)
	if d > 0 then
		_G.MinimapZoomIn:Click()
	elseif d < 0 then
		_G.MinimapZoomOut:Click()
	end
end)
Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')
Minimap:SetArchBlobRingScalar(0)
Minimap:SetQuestBlobRingScalar(0)
local f = CreateFrame("Frame", nil, UIParent)
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, name)
    if name == "Blizzard_TimeManager" then
        TimeManagerClockButton:Hide()
        TimeManagerClockButton:SetScript("OnShow", function(self)
            TimeManagerClockButton:Hide()
        end)
    end
end)